Package org.eclipse.cdt.utils.macho

# Class MachO64.MachOhdr

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.MachOhdr

Enclosing class:
  `MachO64`

public class MachO64.MachOhdr extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CPU_ARCH_ABI64`
`static final int`
`CPU_ARCH_MASK`
`static final int`
`CPU_SUBTYPE_386`
`static final int`
`CPU_SUBTYPE_486`
`static final int`
`CPU_SUBTYPE_486SX`
`static final int`
`CPU_SUBTYPE_586`
`static final int`
`CPU_SUBTYPE_BIG_ENDIAN`
`static final int`
`CPU_SUBTYPE_CELERON`
`static final int`
`CPU_SUBTYPE_CELERON_MOBILE`
`static final int`
`CPU_SUBTYPE_HPPA_7100`
`static final int`
`CPU_SUBTYPE_HPPA_7100LC`
`static final int`
`CPU_SUBTYPE_HPPA_ALL`
`static final int`
`CPU_SUBTYPE_I386_ALL`
`static final int`
`CPU_SUBTYPE_I860_860`
`static final int`
`CPU_SUBTYPE_I860_ALL`
`static final int`
`CPU_SUBTYPE_ITANIUM`
`static final int`
`CPU_SUBTYPE_ITANIUM_2`
`static final int`
`CPU_SUBTYPE_LIB64`
`static final int`
`CPU_SUBTYPE_LITTLE_ENDIAN`
`static final int`
`CPU_SUBTYPE_MASK`
`static final int`
`CPU_SUBTYPE_MC68030`
`static final int`
`CPU_SUBTYPE_MC68030_ONLY`
`static final int`
`CPU_SUBTYPE_MC68040`
`static final int`
`CPU_SUBTYPE_MC680x0_ALL`
`static final int`
`CPU_SUBTYPE_MC88000_ALL`
`static final int`
`CPU_SUBTYPE_MC88100`
`static final int`
`CPU_SUBTYPE_MC88110`
`static final int`
`CPU_SUBTYPE_MC98000_ALL`
`static final int`
`CPU_SUBTYPE_MC98601`
`static final int`
`CPU_SUBTYPE_MIPS_ALL`
`static final int`
`CPU_SUBTYPE_MIPS_R2000`
`static final int`
`CPU_SUBTYPE_MIPS_R2000a`
`static final int`
`CPU_SUBTYPE_MIPS_R2300`
`static final int`
`CPU_SUBTYPE_MIPS_R2600`
`static final int`
`CPU_SUBTYPE_MIPS_R2800`
`static final int`
`CPU_SUBTYPE_MIPS_R3000`
`static final int`
`CPU_SUBTYPE_MIPS_R3000a`
`static final int`
`CPU_SUBTYPE_MULTIPLE`
`static final int`
`CPU_SUBTYPE_PENT`
`static final int`
`CPU_SUBTYPE_PENTII_M3`
`static final int`
`CPU_SUBTYPE_PENTII_M5`
`static final int`
`CPU_SUBTYPE_PENTIUM_3`
`static final int`
`CPU_SUBTYPE_PENTIUM_3_M`
`static final int`
`CPU_SUBTYPE_PENTIUM_3_XEON`
`static final int`
`CPU_SUBTYPE_PENTIUM_4`
`static final int`
`CPU_SUBTYPE_PENTIUM_4_M`
`static final int`
`CPU_SUBTYPE_PENTIUM_M`
`static final int`
`CPU_SUBTYPE_PENTPRO`
`static final int`
`CPU_SUBTYPE_POWERPC_601`
`static final int`
`CPU_SUBTYPE_POWERPC_602`
`static final int`
`CPU_SUBTYPE_POWERPC_603`
`static final int`
`CPU_SUBTYPE_POWERPC_603e`
`static final int`
`CPU_SUBTYPE_POWERPC_603ev`
`static final int`
`CPU_SUBTYPE_POWERPC_604`
`static final int`
`CPU_SUBTYPE_POWERPC_604e`
`static final int`
`CPU_SUBTYPE_POWERPC_620`
`static final int`
`CPU_SUBTYPE_POWERPC_7400`
`static final int`
`CPU_SUBTYPE_POWERPC_7450`
`static final int`
`CPU_SUBTYPE_POWERPC_750`
`static final int`
`CPU_SUBTYPE_POWERPC_970`
`static final int`
`CPU_SUBTYPE_POWERPC_ALL`
`static final int`
`CPU_SUBTYPE_SPARC_ALL`
`static final int`
`CPU_SUBTYPE_UVAXI`
`static final int`
`CPU_SUBTYPE_UVAXII`
`static final int`
`CPU_SUBTYPE_UVAXIII`
`static final int`
`CPU_SUBTYPE_VAX_ALL`
`static final int`
`CPU_SUBTYPE_VAX730`
`static final int`
`CPU_SUBTYPE_VAX750`
`static final int`
`CPU_SUBTYPE_VAX780`
`static final int`
`CPU_SUBTYPE_VAX785`
`static final int`
`CPU_SUBTYPE_VAX8200`
`static final int`
`CPU_SUBTYPE_VAX8500`
`static final int`
`CPU_SUBTYPE_VAX8600`
`static final int`
`CPU_SUBTYPE_VAX8650`
`static final int`
`CPU_SUBTYPE_VAX8800`
`static final int`
`CPU_SUBTYPE_X86_64_ALL`
`static final int`
`CPU_SUBTYPE_X86_ALL`
`static final int`
`CPU_SUBTYPE_X86_ARCH1`
`static final int`
`CPU_SUBTYPE_XEON`
`static final int`
`CPU_SUBTYPE_XEON_MP`
`static final int`
`CPU_TYPE_ANY`
`static final int`
`CPU_TYPE_ARM`
`static final int`
`CPU_TYPE_ARM64`
`static final int`
`CPU_TYPE_HPPA`
`static final int`
`CPU_TYPE_I386`
`static final int`
`CPU_TYPE_I860`
`static final int`
`CPU_TYPE_MC680x0`
`static final int`
`CPU_TYPE_MC88000`
`static final int`
`CPU_TYPE_MC98000`
`static final int`
`CPU_TYPE_POWERPC`
`static final int`
`CPU_TYPE_POWERPC64`
`static final int`
`CPU_TYPE_SPARC`
`static final int`
`CPU_TYPE_VAX`
`static final int`
`CPU_TYPE_X86`
`static final int`
`CPU_TYPE_X86_64`
`int`
`cpusubtype`
`int`
`cputype`
`int`
`filetype`
`int`
`flags`
`int`
`magic`
`static final int`
`MH_ALLMODSBOUND`
`static final int`
`MH_ALLOW_STACK_EXECUTION`
`static final int`
`MH_BINDATLOAD`
`static final int`
`MH_BINDS_TO_WEAK`
`static final int`
`MH_BUNDLE`
`static final int`
`MH_CANONICAL`
`static final int`
`MH_CIGAM`
`static final int`
`MH_CIGAM_64`
`static final int`
`MH_CORE`
`static final int`
`MH_DSYM`
`static final int`
`MH_DYLDLINK`
`static final int`
`MH_DYLIB`
`static final int`
`MH_DYLIB_STUB`
`static final int`
`MH_DYLINKER`
`static final int`
`MH_EXECUTE`
`static final int`
`MH_FORCE_FLAT`
`static final int`
`MH_FVMLIB`
`static final int`
`MH_INCRLINK`
`static final int`
`MH_LAZY_INIT`
`static final int`
`MH_MAGIC`
`static final int`
`MH_MAGIC_64`
`static final int`
`MH_NO_REEXPORTED_DYLIBS`
`static final int`
`MH_NOFIXPREBINDING`
`static final int`
`MH_NOMULTIDEFS`
`static final int`
`MH_NOUNDEFS`
`static final int`
`MH_OBJECT`
`static final int`
`MH_PIE`
`static final int`
`MH_PREBINDABLE`
`static final int`
`MH_PREBOUND`
`static final int`
`MH_PRELOAD`
`static final int`
`MH_ROOT_SAFE`
`static final int`
`MH_SETUID_SAFE`
`static final int`
`MH_SPLIT_SEGS`
`static final int`
`MH_SUBSECTIONS_VIA_SYMBOLS`
`static final int`
`MH_TWOLEVEL`
`static final int`
`MH_UNIVERSAL`
`static final int`
`MH_WEAK_DEFINES`
`int`
`ncmds`
`int`
`reserved`
`int`
`sizeofcmds`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MachOhdr()`
`protected`
`MachOhdr(byte[] bytes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`is64()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MH_MAGIC

public static final int MH_MAGIC

See Also:
  - Constant Field Values

### MH_CIGAM

public static final int MH_CIGAM

See Also:
  - Constant Field Values

### MH_UNIVERSAL

public static final int MH_UNIVERSAL

See Also:
  - Constant Field Values

### MH_MAGIC_64

public static final int MH_MAGIC_64

See Also:
  - Constant Field Values

### MH_CIGAM_64

public static final int MH_CIGAM_64

See Also:
  - Constant Field Values

### CPU_ARCH_MASK

public static final int CPU_ARCH_MASK

See Also:
  - Constant Field Values

### CPU_ARCH_ABI64

public static final int CPU_ARCH_ABI64

See Also:
  - Constant Field Values

### CPU_TYPE_ANY

public static final int CPU_TYPE_ANY

See Also:
  - Constant Field Values

### CPU_TYPE_VAX

public static final int CPU_TYPE_VAX

See Also:
  - Constant Field Values

### CPU_TYPE_MC680x0

public static final int CPU_TYPE_MC680x0

See Also:
  - Constant Field Values

### CPU_TYPE_I386

public static final int CPU_TYPE_I386

See Also:
  - Constant Field Values

### CPU_TYPE_X86

public static final int CPU_TYPE_X86

See Also:
  - Constant Field Values

### CPU_TYPE_X86_64

public static final int CPU_TYPE_X86_64

See Also:
  - Constant Field Values

### CPU_TYPE_MC98000

public static final int CPU_TYPE_MC98000

See Also:
  - Constant Field Values

### CPU_TYPE_HPPA

public static final int CPU_TYPE_HPPA

See Also:
  - Constant Field Values

### CPU_TYPE_ARM

public static final int CPU_TYPE_ARM

Since:
  9.2
See Also:
  - Constant Field Values

### CPU_TYPE_ARM64

public static final int CPU_TYPE_ARM64

Since:
  9.2
See Also:
  - Constant Field Values

### CPU_TYPE_MC88000

public static final int CPU_TYPE_MC88000

See Also:
  - Constant Field Values

### CPU_TYPE_SPARC

public static final int CPU_TYPE_SPARC

See Also:
  - Constant Field Values

### CPU_TYPE_I860

public static final int CPU_TYPE_I860

See Also:
  - Constant Field Values

### CPU_TYPE_POWERPC

public static final int CPU_TYPE_POWERPC

See Also:
  - Constant Field Values

### CPU_TYPE_POWERPC64

public static final int CPU_TYPE_POWERPC64

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MASK

public static final int CPU_SUBTYPE_MASK

See Also:
  - Constant Field Values

### CPU_SUBTYPE_LIB64

public static final int CPU_SUBTYPE_LIB64

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MULTIPLE

public static final int CPU_SUBTYPE_MULTIPLE

See Also:
  - Constant Field Values

### CPU_SUBTYPE_LITTLE_ENDIAN

public static final int CPU_SUBTYPE_LITTLE_ENDIAN

See Also:
  - Constant Field Values

### CPU_SUBTYPE_BIG_ENDIAN

public static final int CPU_SUBTYPE_BIG_ENDIAN

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX_ALL

public static final int CPU_SUBTYPE_VAX_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX780

public static final int CPU_SUBTYPE_VAX780

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX785

public static final int CPU_SUBTYPE_VAX785

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX750

public static final int CPU_SUBTYPE_VAX750

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX730

public static final int CPU_SUBTYPE_VAX730

See Also:
  - Constant Field Values

### CPU_SUBTYPE_UVAXI

public static final int CPU_SUBTYPE_UVAXI

See Also:
  - Constant Field Values

### CPU_SUBTYPE_UVAXII

public static final int CPU_SUBTYPE_UVAXII

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX8200

public static final int CPU_SUBTYPE_VAX8200

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX8500

public static final int CPU_SUBTYPE_VAX8500

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX8600

public static final int CPU_SUBTYPE_VAX8600

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX8650

public static final int CPU_SUBTYPE_VAX8650

See Also:
  - Constant Field Values

### CPU_SUBTYPE_VAX8800

public static final int CPU_SUBTYPE_VAX8800

See Also:
  - Constant Field Values

### CPU_SUBTYPE_UVAXIII

public static final int CPU_SUBTYPE_UVAXIII

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC680x0_ALL

public static final int CPU_SUBTYPE_MC680x0_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC68030

public static final int CPU_SUBTYPE_MC68030

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC68040

public static final int CPU_SUBTYPE_MC68040

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC68030_ONLY

public static final int CPU_SUBTYPE_MC68030_ONLY

See Also:
  - Constant Field Values

### CPU_SUBTYPE_I386_ALL

public static final int CPU_SUBTYPE_I386_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_386

public static final int CPU_SUBTYPE_386

See Also:
  - Constant Field Values

### CPU_SUBTYPE_486

public static final int CPU_SUBTYPE_486

See Also:
  - Constant Field Values

### CPU_SUBTYPE_486SX

public static final int CPU_SUBTYPE_486SX

See Also:
  - Constant Field Values

### CPU_SUBTYPE_586

public static final int CPU_SUBTYPE_586

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENT

public static final int CPU_SUBTYPE_PENT

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTPRO

public static final int CPU_SUBTYPE_PENTPRO

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTII_M3

public static final int CPU_SUBTYPE_PENTII_M3

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTII_M5

public static final int CPU_SUBTYPE_PENTII_M5

See Also:
  - Constant Field Values

### CPU_SUBTYPE_CELERON

public static final int CPU_SUBTYPE_CELERON

See Also:
  - Constant Field Values

### CPU_SUBTYPE_CELERON_MOBILE

public static final int CPU_SUBTYPE_CELERON_MOBILE

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_3

public static final int CPU_SUBTYPE_PENTIUM_3

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_3_M

public static final int CPU_SUBTYPE_PENTIUM_3_M

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_3_XEON

public static final int CPU_SUBTYPE_PENTIUM_3_XEON

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_M

public static final int CPU_SUBTYPE_PENTIUM_M

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_4

public static final int CPU_SUBTYPE_PENTIUM_4

See Also:
  - Constant Field Values

### CPU_SUBTYPE_PENTIUM_4_M

public static final int CPU_SUBTYPE_PENTIUM_4_M

See Also:
  - Constant Field Values

### CPU_SUBTYPE_ITANIUM

public static final int CPU_SUBTYPE_ITANIUM

See Also:
  - Constant Field Values

### CPU_SUBTYPE_ITANIUM_2

public static final int CPU_SUBTYPE_ITANIUM_2

See Also:
  - Constant Field Values

### CPU_SUBTYPE_XEON

public static final int CPU_SUBTYPE_XEON

See Also:
  - Constant Field Values

### CPU_SUBTYPE_XEON_MP

public static final int CPU_SUBTYPE_XEON_MP

See Also:
  - Constant Field Values

### CPU_SUBTYPE_X86_ALL

public static final int CPU_SUBTYPE_X86_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_X86_64_ALL

public static final int CPU_SUBTYPE_X86_64_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_X86_ARCH1

public static final int CPU_SUBTYPE_X86_ARCH1

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_ALL

public static final int CPU_SUBTYPE_MIPS_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R2300

public static final int CPU_SUBTYPE_MIPS_R2300

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R2600

public static final int CPU_SUBTYPE_MIPS_R2600

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R2800

public static final int CPU_SUBTYPE_MIPS_R2800

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R2000a

public static final int CPU_SUBTYPE_MIPS_R2000a

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R2000

public static final int CPU_SUBTYPE_MIPS_R2000

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R3000a

public static final int CPU_SUBTYPE_MIPS_R3000a

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MIPS_R3000

public static final int CPU_SUBTYPE_MIPS_R3000

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC98000_ALL

public static final int CPU_SUBTYPE_MC98000_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC98601

public static final int CPU_SUBTYPE_MC98601

See Also:
  - Constant Field Values

### CPU_SUBTYPE_HPPA_ALL

public static final int CPU_SUBTYPE_HPPA_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_HPPA_7100

public static final int CPU_SUBTYPE_HPPA_7100

See Also:
  - Constant Field Values

### CPU_SUBTYPE_HPPA_7100LC

public static final int CPU_SUBTYPE_HPPA_7100LC

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC88000_ALL

public static final int CPU_SUBTYPE_MC88000_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC88100

public static final int CPU_SUBTYPE_MC88100

See Also:
  - Constant Field Values

### CPU_SUBTYPE_MC88110

public static final int CPU_SUBTYPE_MC88110

See Also:
  - Constant Field Values

### CPU_SUBTYPE_SPARC_ALL

public static final int CPU_SUBTYPE_SPARC_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_I860_ALL

public static final int CPU_SUBTYPE_I860_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_I860_860

public static final int CPU_SUBTYPE_I860_860

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_ALL

public static final int CPU_SUBTYPE_POWERPC_ALL

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_601

public static final int CPU_SUBTYPE_POWERPC_601

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_602

public static final int CPU_SUBTYPE_POWERPC_602

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_603

public static final int CPU_SUBTYPE_POWERPC_603

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_603e

public static final int CPU_SUBTYPE_POWERPC_603e

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_603ev

public static final int CPU_SUBTYPE_POWERPC_603ev

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_604

public static final int CPU_SUBTYPE_POWERPC_604

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_604e

public static final int CPU_SUBTYPE_POWERPC_604e

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_620

public static final int CPU_SUBTYPE_POWERPC_620

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_750

public static final int CPU_SUBTYPE_POWERPC_750

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_7400

public static final int CPU_SUBTYPE_POWERPC_7400

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_7450

public static final int CPU_SUBTYPE_POWERPC_7450

See Also:
  - Constant Field Values

### CPU_SUBTYPE_POWERPC_970

public static final int CPU_SUBTYPE_POWERPC_970

See Also:
  - Constant Field Values

### MH_OBJECT

public static final int MH_OBJECT

See Also:
  - Constant Field Values

### MH_EXECUTE

public static final int MH_EXECUTE

See Also:
  - Constant Field Values

### MH_FVMLIB

public static final int MH_FVMLIB

See Also:
  - Constant Field Values

### MH_CORE

public static final int MH_CORE

See Also:
  - Constant Field Values

### MH_PRELOAD

public static final int MH_PRELOAD

See Also:
  - Constant Field Values

### MH_DYLIB

public static final int MH_DYLIB

See Also:
  - Constant Field Values

### MH_DYLINKER

public static final int MH_DYLINKER

See Also:
  - Constant Field Values

### MH_BUNDLE

public static final int MH_BUNDLE

See Also:
  - Constant Field Values

### MH_DYLIB_STUB

public static final int MH_DYLIB_STUB

See Also:
  - Constant Field Values

### MH_DSYM

public static final int MH_DSYM

See Also:
  - Constant Field Values

### MH_NOUNDEFS

public static final int MH_NOUNDEFS

See Also:
  - Constant Field Values

### MH_INCRLINK

public static final int MH_INCRLINK

See Also:
  - Constant Field Values

### MH_DYLDLINK

public static final int MH_DYLDLINK

See Also:
  - Constant Field Values

### MH_BINDATLOAD

public static final int MH_BINDATLOAD

See Also:
  - Constant Field Values

### MH_PREBOUND

public static final int MH_PREBOUND

See Also:
  - Constant Field Values

### MH_SPLIT_SEGS

public static final int MH_SPLIT_SEGS

See Also:
  - Constant Field Values

### MH_LAZY_INIT

public static final int MH_LAZY_INIT

See Also:
  - Constant Field Values

### MH_TWOLEVEL

public static final int MH_TWOLEVEL

See Also:
  - Constant Field Values

### MH_FORCE_FLAT

public static final int MH_FORCE_FLAT

See Also:
  - Constant Field Values

### MH_NOMULTIDEFS

public static final int MH_NOMULTIDEFS

See Also:
  - Constant Field Values

### MH_NOFIXPREBINDING

public static final int MH_NOFIXPREBINDING

See Also:
  - Constant Field Values

### MH_PREBINDABLE

public static final int MH_PREBINDABLE

See Also:
  - Constant Field Values

### MH_ALLMODSBOUND

public static final int MH_ALLMODSBOUND

See Also:
  - Constant Field Values

### MH_SUBSECTIONS_VIA_SYMBOLS

public static final int MH_SUBSECTIONS_VIA_SYMBOLS

See Also:
  - Constant Field Values

### MH_CANONICAL

public static final int MH_CANONICAL

See Also:
  - Constant Field Values

### MH_WEAK_DEFINES

public static final int MH_WEAK_DEFINES

See Also:
  - Constant Field Values

### MH_BINDS_TO_WEAK

public static final int MH_BINDS_TO_WEAK

See Also:
  - Constant Field Values

### MH_ALLOW_STACK_EXECUTION

public static final int MH_ALLOW_STACK_EXECUTION

See Also:
  - Constant Field Values

### MH_ROOT_SAFE

public static final int MH_ROOT_SAFE

See Also:
  - Constant Field Values

### MH_SETUID_SAFE

public static final int MH_SETUID_SAFE

See Also:
  - Constant Field Values

### MH_NO_REEXPORTED_DYLIBS

public static final int MH_NO_REEXPORTED_DYLIBS

See Also:
  - Constant Field Values

### MH_PIE

public static final int MH_PIE

See Also:
  - Constant Field Values

### magic

public int magic

### cputype

public int cputype

### cpusubtype

public int cpusubtype

### filetype

public int filetype

### ncmds

public int ncmds

### sizeofcmds

public int sizeofcmds

### flags

public int flags

### reserved

public int reserved

## Constructor Details

### MachOhdr

protected MachOhdr() throws IOException

Throws:
  `IOException`

### MachOhdr

protected MachOhdr(byte[] bytes) throws IOException

Throws:
  `IOException`

## Method Details

### is64

public boolean is64()